# OpenStack

# Welcome to os-cloud-config’s documentation!

Contents:

- os-cloud-config
  - Features
- Installation
- Usage
  - Initializing Keystone for a host
  - Registering nodes with a baremetal service
  - Generating keys and certificates for use with Keystone PKI
  - Setting up networking
  - Creating flavors
- Contributing to os-cloud-config

# Indices and tables

- Index
- Module Index
- Search Page

### Navigation

- index
- next |
- os-cloud-config documentation »